/* eslint-disable */
/* tslint:disable */
/* auto-generated react proxies */
import { createReactComponent } from './react-component-lib';

import type { JSX } from '@digi/arbetsformedlingen';

import { defineCustomElements } from '@digi/arbetsformedlingen/loader';

defineCustomElements();
export const DigiBarChart = /*@__PURE__*/createReactComponent<JSX.DigiBarChart, HTMLDigiBarChartElement>('digi-bar-chart');
export const DigiButton = /*@__PURE__*/createReactComponent<JSX.DigiButton, HTMLDigiButtonElement>('digi-button');
export const DigiCalendar = /*@__PURE__*/createReactComponent<JSX.DigiCalendar, HTMLDigiCalendarElement>('digi-calendar');
export const DigiCalendarDatepicker = /*@__PURE__*/createReactComponent<JSX.DigiCalendarDatepicker, HTMLDigiCalendarDatepickerElement>('digi-calendar-datepicker');
export const DigiCalendarWeekView = /*@__PURE__*/createReactComponent<JSX.DigiCalendarWeekView, HTMLDigiCalendarWeekViewElement>('digi-calendar-week-view');
export const DigiCard = /*@__PURE__*/createReactComponent<JSX.DigiCard, HTMLDigiCardElement>('digi-card');
export const DigiChartLine = /*@__PURE__*/createReactComponent<JSX.DigiChartLine, HTMLDigiChartLineElement>('digi-chart-line');
export const DigiCode = /*@__PURE__*/createReactComponent<JSX.DigiCode, HTMLDigiCodeElement>('digi-code');
export const DigiCodeBlock = /*@__PURE__*/createReactComponent<JSX.DigiCodeBlock, HTMLDigiCodeBlockElement>('digi-code-block');
export const DigiCodeExample = /*@__PURE__*/createReactComponent<JSX.DigiCodeExample, HTMLDigiCodeExampleElement>('digi-code-example');
export const DigiDialog = /*@__PURE__*/createReactComponent<JSX.DigiDialog, HTMLDigiDialogElement>('digi-dialog');
export const DigiExpandableAccordion = /*@__PURE__*/createReactComponent<JSX.DigiExpandableAccordion, HTMLDigiExpandableAccordionElement>('digi-expandable-accordion');
export const DigiExpandableFaq = /*@__PURE__*/createReactComponent<JSX.DigiExpandableFaq, HTMLDigiExpandableFaqElement>('digi-expandable-faq');
export const DigiExpandableFaqItem = /*@__PURE__*/createReactComponent<JSX.DigiExpandableFaqItem, HTMLDigiExpandableFaqItemElement>('digi-expandable-faq-item');
export const DigiFormCategoryFilter = /*@__PURE__*/createReactComponent<JSX.DigiFormCategoryFilter, HTMLDigiFormCategoryFilterElement>('digi-form-category-filter');
export const DigiFormCheckbox = /*@__PURE__*/createReactComponent<JSX.DigiFormCheckbox, HTMLDigiFormCheckboxElement>('digi-form-checkbox');
export const DigiFormErrorList = /*@__PURE__*/createReactComponent<JSX.DigiFormErrorList, HTMLDigiFormErrorListElement>('digi-form-error-list');
export const DigiFormFieldset = /*@__PURE__*/createReactComponent<JSX.DigiFormFieldset, HTMLDigiFormFieldsetElement>('digi-form-fieldset');
export const DigiFormFileUpload = /*@__PURE__*/createReactComponent<JSX.DigiFormFileUpload, HTMLDigiFormFileUploadElement>('digi-form-file-upload');
export const DigiFormFilter = /*@__PURE__*/createReactComponent<JSX.DigiFormFilter, HTMLDigiFormFilterElement>('digi-form-filter');
export const DigiFormInput = /*@__PURE__*/createReactComponent<JSX.DigiFormInput, HTMLDigiFormInputElement>('digi-form-input');
export const DigiFormInputSearch = /*@__PURE__*/createReactComponent<JSX.DigiFormInputSearch, HTMLDigiFormInputSearchElement>('digi-form-input-search');
export const DigiFormLabel = /*@__PURE__*/createReactComponent<JSX.DigiFormLabel, HTMLDigiFormLabelElement>('digi-form-label');
export const DigiFormRadiobutton = /*@__PURE__*/createReactComponent<JSX.DigiFormRadiobutton, HTMLDigiFormRadiobuttonElement>('digi-form-radiobutton');
export const DigiFormRadiogroup = /*@__PURE__*/createReactComponent<JSX.DigiFormRadiogroup, HTMLDigiFormRadiogroupElement>('digi-form-radiogroup');
export const DigiFormReceipt = /*@__PURE__*/createReactComponent<JSX.DigiFormReceipt, HTMLDigiFormReceiptElement>('digi-form-receipt');
export const DigiFormSelect = /*@__PURE__*/createReactComponent<JSX.DigiFormSelect, HTMLDigiFormSelectElement>('digi-form-select');
export const DigiFormTextarea = /*@__PURE__*/createReactComponent<JSX.DigiFormTextarea, HTMLDigiFormTextareaElement>('digi-form-textarea');
export const DigiFormValidationMessage = /*@__PURE__*/createReactComponent<JSX.DigiFormValidationMessage, HTMLDigiFormValidationMessageElement>('digi-form-validation-message');
export const DigiIcon = /*@__PURE__*/createReactComponent<JSX.DigiIcon, HTMLDigiIconElement>('digi-icon');
export const DigiIconAccessibilityDeaf = /*@__PURE__*/createReactComponent<JSX.DigiIconAccessibilityDeaf, HTMLDigiIconAccessibilityDeafElement>('digi-icon-accessibility-deaf');
export const DigiIconAccessibilityUniversal = /*@__PURE__*/createReactComponent<JSX.DigiIconAccessibilityUniversal, HTMLDigiIconAccessibilityUniversalElement>('digi-icon-accessibility-universal');
export const DigiIconArchive = /*@__PURE__*/createReactComponent<JSX.DigiIconArchive, HTMLDigiIconArchiveElement>('digi-icon-archive');
export const DigiIconArchiveOutline = /*@__PURE__*/createReactComponent<JSX.DigiIconArchiveOutline, HTMLDigiIconArchiveOutlineElement>('digi-icon-archive-outline');
export const DigiIconArrowBack = /*@__PURE__*/createReactComponent<JSX.DigiIconArrowBack, HTMLDigiIconArrowBackElement>('digi-icon-arrow-back');
export const DigiIconArrowDown = /*@__PURE__*/createReactComponent<JSX.DigiIconArrowDown, HTMLDigiIconArrowDownElement>('digi-icon-arrow-down');
export const DigiIconArrowLeft = /*@__PURE__*/createReactComponent<JSX.DigiIconArrowLeft, HTMLDigiIconArrowLeftElement>('digi-icon-arrow-left');
export const DigiIconArrowRight = /*@__PURE__*/createReactComponent<JSX.DigiIconArrowRight, HTMLDigiIconArrowRightElement>('digi-icon-arrow-right');
export const DigiIconArrowSignIn = /*@__PURE__*/createReactComponent<JSX.DigiIconArrowSignIn, HTMLDigiIconArrowSignInElement>('digi-icon-arrow-sign-in');
export const DigiIconArrowSignOut = /*@__PURE__*/createReactComponent<JSX.DigiIconArrowSignOut, HTMLDigiIconArrowSignOutElement>('digi-icon-arrow-sign-out');
export const DigiIconArrowUp = /*@__PURE__*/createReactComponent<JSX.DigiIconArrowUp, HTMLDigiIconArrowUpElement>('digi-icon-arrow-up');
export const DigiIconAt = /*@__PURE__*/createReactComponent<JSX.DigiIconAt, HTMLDigiIconAtElement>('digi-icon-at');
export const DigiIconBars = /*@__PURE__*/createReactComponent<JSX.DigiIconBars, HTMLDigiIconBarsElement>('digi-icon-bars');
export const DigiIconBell = /*@__PURE__*/createReactComponent<JSX.DigiIconBell, HTMLDigiIconBellElement>('digi-icon-bell');
export const DigiIconBellFilled = /*@__PURE__*/createReactComponent<JSX.DigiIconBellFilled, HTMLDigiIconBellFilledElement>('digi-icon-bell-filled');
export const DigiIconBook = /*@__PURE__*/createReactComponent<JSX.DigiIconBook, HTMLDigiIconBookElement>('digi-icon-book');
export const DigiIconBubble = /*@__PURE__*/createReactComponent<JSX.DigiIconBubble, HTMLDigiIconBubbleElement>('digi-icon-bubble');
export const DigiIconBubbleEllipsis = /*@__PURE__*/createReactComponent<JSX.DigiIconBubbleEllipsis, HTMLDigiIconBubbleEllipsisElement>('digi-icon-bubble-ellipsis');
export const DigiIconBuildingOutline = /*@__PURE__*/createReactComponent<JSX.DigiIconBuildingOutline, HTMLDigiIconBuildingOutlineElement>('digi-icon-building-outline');
export const DigiIconBuildingSolid = /*@__PURE__*/createReactComponent<JSX.DigiIconBuildingSolid, HTMLDigiIconBuildingSolidElement>('digi-icon-building-solid');
export const DigiIconCalculatorSolid = /*@__PURE__*/createReactComponent<JSX.DigiIconCalculatorSolid, HTMLDigiIconCalculatorSolidElement>('digi-icon-calculator-solid');
export const DigiIconCalendar = /*@__PURE__*/createReactComponent<JSX.DigiIconCalendar, HTMLDigiIconCalendarElement>('digi-icon-calendar');
export const DigiIconCalendarAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconCalendarAlt, HTMLDigiIconCalendarAltElement>('digi-icon-calendar-alt');
export const DigiIconCalendarAltAlert = /*@__PURE__*/createReactComponent<JSX.DigiIconCalendarAltAlert, HTMLDigiIconCalendarAltAlertElement>('digi-icon-calendar-alt-alert');
export const DigiIconCaretCircleRight = /*@__PURE__*/createReactComponent<JSX.DigiIconCaretCircleRight, HTMLDigiIconCaretCircleRightElement>('digi-icon-caret-circle-right');
export const DigiIconCaretDown = /*@__PURE__*/createReactComponent<JSX.DigiIconCaretDown, HTMLDigiIconCaretDownElement>('digi-icon-caret-down');
export const DigiIconCaretLeft = /*@__PURE__*/createReactComponent<JSX.DigiIconCaretLeft, HTMLDigiIconCaretLeftElement>('digi-icon-caret-left');
export const DigiIconCaretRight = /*@__PURE__*/createReactComponent<JSX.DigiIconCaretRight, HTMLDigiIconCaretRightElement>('digi-icon-caret-right');
export const DigiIconCaretUp = /*@__PURE__*/createReactComponent<JSX.DigiIconCaretUp, HTMLDigiIconCaretUpElement>('digi-icon-caret-up');
export const DigiIconChart = /*@__PURE__*/createReactComponent<JSX.DigiIconChart, HTMLDigiIconChartElement>('digi-icon-chart');
export const DigiIconChat = /*@__PURE__*/createReactComponent<JSX.DigiIconChat, HTMLDigiIconChatElement>('digi-icon-chat');
export const DigiIconCheck = /*@__PURE__*/createReactComponent<JSX.DigiIconCheck, HTMLDigiIconCheckElement>('digi-icon-check');
export const DigiIconCheckCircleRegAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconCheckCircleRegAlt, HTMLDigiIconCheckCircleRegAltElement>('digi-icon-check-circle-reg-alt');
export const DigiIconChevronDown = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronDown, HTMLDigiIconChevronDownElement>('digi-icon-chevron-down');
export const DigiIconChevronLeft = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronLeft, HTMLDigiIconChevronLeftElement>('digi-icon-chevron-left');
export const DigiIconChevronRight = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronRight, HTMLDigiIconChevronRightElement>('digi-icon-chevron-right');
export const DigiIconChevronUp = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronUp, HTMLDigiIconChevronUpElement>('digi-icon-chevron-up');
export const DigiIconClock = /*@__PURE__*/createReactComponent<JSX.DigiIconClock, HTMLDigiIconClockElement>('digi-icon-clock');
export const DigiIconCompressAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconCompressAlt, HTMLDigiIconCompressAltElement>('digi-icon-compress-alt');
export const DigiIconComunicationCase = /*@__PURE__*/createReactComponent<JSX.DigiIconComunicationCase, HTMLDigiIconComunicationCaseElement>('digi-icon-comunication-case');
export const DigiIconComunicationFlag = /*@__PURE__*/createReactComponent<JSX.DigiIconComunicationFlag, HTMLDigiIconComunicationFlagElement>('digi-icon-comunication-flag');
export const DigiIconComunicationGraduate = /*@__PURE__*/createReactComponent<JSX.DigiIconComunicationGraduate, HTMLDigiIconComunicationGraduateElement>('digi-icon-comunication-graduate');
export const DigiIconComunicationPlay = /*@__PURE__*/createReactComponent<JSX.DigiIconComunicationPlay, HTMLDigiIconComunicationPlayElement>('digi-icon-comunication-play');
export const DigiIconCooperation = /*@__PURE__*/createReactComponent<JSX.DigiIconCooperation, HTMLDigiIconCooperationElement>('digi-icon-cooperation');
export const DigiIconCopy = /*@__PURE__*/createReactComponent<JSX.DigiIconCopy, HTMLDigiIconCopyElement>('digi-icon-copy');
export const DigiIconDangerOutline = /*@__PURE__*/createReactComponent<JSX.DigiIconDangerOutline, HTMLDigiIconDangerOutlineElement>('digi-icon-danger-outline');
export const DigiIconDownload = /*@__PURE__*/createReactComponent<JSX.DigiIconDownload, HTMLDigiIconDownloadElement>('digi-icon-download');
export const DigiIconDxa = /*@__PURE__*/createReactComponent<JSX.DigiIconDxa, HTMLDigiIconDxaElement>('digi-icon-dxa');
export const DigiIconEdit = /*@__PURE__*/createReactComponent<JSX.DigiIconEdit, HTMLDigiIconEditElement>('digi-icon-edit');
export const DigiIconEllipsis = /*@__PURE__*/createReactComponent<JSX.DigiIconEllipsis, HTMLDigiIconEllipsisElement>('digi-icon-ellipsis');
export const DigiIconEnvelope = /*@__PURE__*/createReactComponent<JSX.DigiIconEnvelope, HTMLDigiIconEnvelopeElement>('digi-icon-envelope');
export const DigiIconEnvelopeFilled = /*@__PURE__*/createReactComponent<JSX.DigiIconEnvelopeFilled, HTMLDigiIconEnvelopeFilledElement>('digi-icon-envelope-filled');
export const DigiIconExclamationCircleFilled = /*@__PURE__*/createReactComponent<JSX.DigiIconExclamationCircleFilled, HTMLDigiIconExclamationCircleFilledElement>('digi-icon-exclamation-circle-filled');
export const DigiIconExclamationTriangle = /*@__PURE__*/createReactComponent<JSX.DigiIconExclamationTriangle, HTMLDigiIconExclamationTriangleElement>('digi-icon-exclamation-triangle');
export const DigiIconExclamationTriangleFilled = /*@__PURE__*/createReactComponent<JSX.DigiIconExclamationTriangleFilled, HTMLDigiIconExclamationTriangleFilledElement>('digi-icon-exclamation-triangle-filled');
export const DigiIconExclamationTriangleWarning = /*@__PURE__*/createReactComponent<JSX.DigiIconExclamationTriangleWarning, HTMLDigiIconExclamationTriangleWarningElement>('digi-icon-exclamation-triangle-warning');
export const DigiIconExpandAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconExpandAlt, HTMLDigiIconExpandAltElement>('digi-icon-expand-alt');
export const DigiIconExternalLinkAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconExternalLinkAlt, HTMLDigiIconExternalLinkAltElement>('digi-icon-external-link-alt');
export const DigiIconEye = /*@__PURE__*/createReactComponent<JSX.DigiIconEye, HTMLDigiIconEyeElement>('digi-icon-eye');
export const DigiIconEyeSlash = /*@__PURE__*/createReactComponent<JSX.DigiIconEyeSlash, HTMLDigiIconEyeSlashElement>('digi-icon-eye-slash');
export const DigiIconFacebookSquare = /*@__PURE__*/createReactComponent<JSX.DigiIconFacebookSquare, HTMLDigiIconFacebookSquareElement>('digi-icon-facebook-square');
export const DigiIconFileDocument = /*@__PURE__*/createReactComponent<JSX.DigiIconFileDocument, HTMLDigiIconFileDocumentElement>('digi-icon-file-document');
export const DigiIconFileExcel = /*@__PURE__*/createReactComponent<JSX.DigiIconFileExcel, HTMLDigiIconFileExcelElement>('digi-icon-file-excel');
export const DigiIconFilePdf = /*@__PURE__*/createReactComponent<JSX.DigiIconFilePdf, HTMLDigiIconFilePdfElement>('digi-icon-file-pdf');
export const DigiIconFilePowerpoint = /*@__PURE__*/createReactComponent<JSX.DigiIconFilePowerpoint, HTMLDigiIconFilePowerpointElement>('digi-icon-file-powerpoint');
export const DigiIconFileWord = /*@__PURE__*/createReactComponent<JSX.DigiIconFileWord, HTMLDigiIconFileWordElement>('digi-icon-file-word');
export const DigiIconFilm = /*@__PURE__*/createReactComponent<JSX.DigiIconFilm, HTMLDigiIconFilmElement>('digi-icon-film');
export const DigiIconFilter = /*@__PURE__*/createReactComponent<JSX.DigiIconFilter, HTMLDigiIconFilterElement>('digi-icon-filter');
export const DigiIconGlobe = /*@__PURE__*/createReactComponent<JSX.DigiIconGlobe, HTMLDigiIconGlobeElement>('digi-icon-globe');
export const DigiIconGlobeFilled = /*@__PURE__*/createReactComponent<JSX.DigiIconGlobeFilled, HTMLDigiIconGlobeFilledElement>('digi-icon-globe-filled');
export const DigiIconHeadphones = /*@__PURE__*/createReactComponent<JSX.DigiIconHeadphones, HTMLDigiIconHeadphonesElement>('digi-icon-headphones');
export const DigiIconHeart = /*@__PURE__*/createReactComponent<JSX.DigiIconHeart, HTMLDigiIconHeartElement>('digi-icon-heart');
export const DigiIconHeartSolid = /*@__PURE__*/createReactComponent<JSX.DigiIconHeartSolid, HTMLDigiIconHeartSolidElement>('digi-icon-heart-solid');
export const DigiIconHistory = /*@__PURE__*/createReactComponent<JSX.DigiIconHistory, HTMLDigiIconHistoryElement>('digi-icon-history');
export const DigiIconHome = /*@__PURE__*/createReactComponent<JSX.DigiIconHome, HTMLDigiIconHomeElement>('digi-icon-home');
export const DigiIconImage = /*@__PURE__*/createReactComponent<JSX.DigiIconImage, HTMLDigiIconImageElement>('digi-icon-image');
export const DigiIconInfoCircleSolid = /*@__PURE__*/createReactComponent<JSX.DigiIconInfoCircleSolid, HTMLDigiIconInfoCircleSolidElement>('digi-icon-info-circle-solid');
export const DigiIconInstagram = /*@__PURE__*/createReactComponent<JSX.DigiIconInstagram, HTMLDigiIconInstagramElement>('digi-icon-instagram');
export const DigiIconJobSuggestion = /*@__PURE__*/createReactComponent<JSX.DigiIconJobSuggestion, HTMLDigiIconJobSuggestionElement>('digi-icon-job-suggestion');
export const DigiIconLanguage = /*@__PURE__*/createReactComponent<JSX.DigiIconLanguage, HTMLDigiIconLanguageElement>('digi-icon-language');
export const DigiIconLanguageOutline = /*@__PURE__*/createReactComponent<JSX.DigiIconLanguageOutline, HTMLDigiIconLanguageOutlineElement>('digi-icon-language-outline');
export const DigiIconLattlast = /*@__PURE__*/createReactComponent<JSX.DigiIconLattlast, HTMLDigiIconLattlastElement>('digi-icon-lattlast');
export const DigiIconLicenceBus = /*@__PURE__*/createReactComponent<JSX.DigiIconLicenceBus, HTMLDigiIconLicenceBusElement>('digi-icon-licence-bus');
export const DigiIconLicenceCar = /*@__PURE__*/createReactComponent<JSX.DigiIconLicenceCar, HTMLDigiIconLicenceCarElement>('digi-icon-licence-car');
export const DigiIconLicenceMotorcycle = /*@__PURE__*/createReactComponent<JSX.DigiIconLicenceMotorcycle, HTMLDigiIconLicenceMotorcycleElement>('digi-icon-licence-motorcycle');
export const DigiIconLicenceTruck = /*@__PURE__*/createReactComponent<JSX.DigiIconLicenceTruck, HTMLDigiIconLicenceTruckElement>('digi-icon-licence-truck');
export const DigiIconLightbulb = /*@__PURE__*/createReactComponent<JSX.DigiIconLightbulb, HTMLDigiIconLightbulbElement>('digi-icon-lightbulb');
export const DigiIconLinkedinIn = /*@__PURE__*/createReactComponent<JSX.DigiIconLinkedinIn, HTMLDigiIconLinkedinInElement>('digi-icon-linkedin-in');
export const DigiIconListUl = /*@__PURE__*/createReactComponent<JSX.DigiIconListUl, HTMLDigiIconListUlElement>('digi-icon-list-ul');
export const DigiIconLock = /*@__PURE__*/createReactComponent<JSX.DigiIconLock, HTMLDigiIconLockElement>('digi-icon-lock');
export const DigiIconMarker = /*@__PURE__*/createReactComponent<JSX.DigiIconMarker, HTMLDigiIconMarkerElement>('digi-icon-marker');
export const DigiIconMarkerFilled = /*@__PURE__*/createReactComponent<JSX.DigiIconMarkerFilled, HTMLDigiIconMarkerFilledElement>('digi-icon-marker-filled');
export const DigiIconMediaCourse = /*@__PURE__*/createReactComponent<JSX.DigiIconMediaCourse, HTMLDigiIconMediaCourseElement>('digi-icon-media-course');
export const DigiIconMediaPodcast = /*@__PURE__*/createReactComponent<JSX.DigiIconMediaPodcast, HTMLDigiIconMediaPodcastElement>('digi-icon-media-podcast');
export const DigiIconMicrophone = /*@__PURE__*/createReactComponent<JSX.DigiIconMicrophone, HTMLDigiIconMicrophoneElement>('digi-icon-microphone');
export const DigiIconMicrophoneOff = /*@__PURE__*/createReactComponent<JSX.DigiIconMicrophoneOff, HTMLDigiIconMicrophoneOffElement>('digi-icon-microphone-off');
export const DigiIconMinus = /*@__PURE__*/createReactComponent<JSX.DigiIconMinus, HTMLDigiIconMinusElement>('digi-icon-minus');
export const DigiIconNews = /*@__PURE__*/createReactComponent<JSX.DigiIconNews, HTMLDigiIconNewsElement>('digi-icon-news');
export const DigiIconNotificationError = /*@__PURE__*/createReactComponent<JSX.DigiIconNotificationError, HTMLDigiIconNotificationErrorElement>('digi-icon-notification-error');
export const DigiIconNotificationInfo = /*@__PURE__*/createReactComponent<JSX.DigiIconNotificationInfo, HTMLDigiIconNotificationInfoElement>('digi-icon-notification-info');
export const DigiIconNotificationSucces = /*@__PURE__*/createReactComponent<JSX.DigiIconNotificationSucces, HTMLDigiIconNotificationSuccesElement>('digi-icon-notification-succes');
export const DigiIconNotificationWarning = /*@__PURE__*/createReactComponent<JSX.DigiIconNotificationWarning, HTMLDigiIconNotificationWarningElement>('digi-icon-notification-warning');
export const DigiIconOpenSource = /*@__PURE__*/createReactComponent<JSX.DigiIconOpenSource, HTMLDigiIconOpenSourceElement>('digi-icon-open-source');
export const DigiIconPaperclip = /*@__PURE__*/createReactComponent<JSX.DigiIconPaperclip, HTMLDigiIconPaperclipElement>('digi-icon-paperclip');
export const DigiIconPen = /*@__PURE__*/createReactComponent<JSX.DigiIconPen, HTMLDigiIconPenElement>('digi-icon-pen');
export const DigiIconPhone = /*@__PURE__*/createReactComponent<JSX.DigiIconPhone, HTMLDigiIconPhoneElement>('digi-icon-phone');
export const DigiIconPhoneHangup = /*@__PURE__*/createReactComponent<JSX.DigiIconPhoneHangup, HTMLDigiIconPhoneHangupElement>('digi-icon-phone-hangup');
export const DigiIconPlus = /*@__PURE__*/createReactComponent<JSX.DigiIconPlus, HTMLDigiIconPlusElement>('digi-icon-plus');
export const DigiIconPrint = /*@__PURE__*/createReactComponent<JSX.DigiIconPrint, HTMLDigiIconPrintElement>('digi-icon-print');
export const DigiIconRedo = /*@__PURE__*/createReactComponent<JSX.DigiIconRedo, HTMLDigiIconRedoElement>('digi-icon-redo');
export const DigiIconScreensharing = /*@__PURE__*/createReactComponent<JSX.DigiIconScreensharing, HTMLDigiIconScreensharingElement>('digi-icon-screensharing');
export const DigiIconScreensharingOff = /*@__PURE__*/createReactComponent<JSX.DigiIconScreensharingOff, HTMLDigiIconScreensharingOffElement>('digi-icon-screensharing-off');
export const DigiIconSearch = /*@__PURE__*/createReactComponent<JSX.DigiIconSearch, HTMLDigiIconSearchElement>('digi-icon-search');
export const DigiIconSettings = /*@__PURE__*/createReactComponent<JSX.DigiIconSettings, HTMLDigiIconSettingsElement>('digi-icon-settings');
export const DigiIconShareAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconShareAlt, HTMLDigiIconShareAltElement>('digi-icon-share-alt');
export const DigiIconSign = /*@__PURE__*/createReactComponent<JSX.DigiIconSign, HTMLDigiIconSignElement>('digi-icon-sign');
export const DigiIconSlidersH = /*@__PURE__*/createReactComponent<JSX.DigiIconSlidersH, HTMLDigiIconSlidersHElement>('digi-icon-sliders-h');
export const DigiIconSokkandidat = /*@__PURE__*/createReactComponent<JSX.DigiIconSokkandidat, HTMLDigiIconSokkandidatElement>('digi-icon-sokkandidat');
export const DigiIconSort = /*@__PURE__*/createReactComponent<JSX.DigiIconSort, HTMLDigiIconSortElement>('digi-icon-sort');
export const DigiIconSortDown = /*@__PURE__*/createReactComponent<JSX.DigiIconSortDown, HTMLDigiIconSortDownElement>('digi-icon-sort-down');
export const DigiIconSortUp = /*@__PURE__*/createReactComponent<JSX.DigiIconSortUp, HTMLDigiIconSortUpElement>('digi-icon-sort-up');
export const DigiIconSpinner = /*@__PURE__*/createReactComponent<JSX.DigiIconSpinner, HTMLDigiIconSpinnerElement>('digi-icon-spinner');
export const DigiIconStar = /*@__PURE__*/createReactComponent<JSX.DigiIconStar, HTMLDigiIconStarElement>('digi-icon-star');
export const DigiIconStarReg = /*@__PURE__*/createReactComponent<JSX.DigiIconStarReg, HTMLDigiIconStarRegElement>('digi-icon-star-reg');
export const DigiIconSuitcaseOutline = /*@__PURE__*/createReactComponent<JSX.DigiIconSuitcaseOutline, HTMLDigiIconSuitcaseOutlineElement>('digi-icon-suitcase-outline');
export const DigiIconSuitcaseSolid = /*@__PURE__*/createReactComponent<JSX.DigiIconSuitcaseSolid, HTMLDigiIconSuitcaseSolidElement>('digi-icon-suitcase-solid');
export const DigiIconTable = /*@__PURE__*/createReactComponent<JSX.DigiIconTable, HTMLDigiIconTableElement>('digi-icon-table');
export const DigiIconToggleOff = /*@__PURE__*/createReactComponent<JSX.DigiIconToggleOff, HTMLDigiIconToggleOffElement>('digi-icon-toggle-off');
export const DigiIconToggleOn = /*@__PURE__*/createReactComponent<JSX.DigiIconToggleOn, HTMLDigiIconToggleOnElement>('digi-icon-toggle-on');
export const DigiIconTrash = /*@__PURE__*/createReactComponent<JSX.DigiIconTrash, HTMLDigiIconTrashElement>('digi-icon-trash');
export const DigiIconTwitter = /*@__PURE__*/createReactComponent<JSX.DigiIconTwitter, HTMLDigiIconTwitterElement>('digi-icon-twitter');
export const DigiIconTyckTill = /*@__PURE__*/createReactComponent<JSX.DigiIconTyckTill, HTMLDigiIconTyckTillElement>('digi-icon-tyck-till');
export const DigiIconUnlock = /*@__PURE__*/createReactComponent<JSX.DigiIconUnlock, HTMLDigiIconUnlockElement>('digi-icon-unlock');
export const DigiIconUpdate = /*@__PURE__*/createReactComponent<JSX.DigiIconUpdate, HTMLDigiIconUpdateElement>('digi-icon-update');
export const DigiIconUpload = /*@__PURE__*/createReactComponent<JSX.DigiIconUpload, HTMLDigiIconUploadElement>('digi-icon-upload');
export const DigiIconUserAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconUserAlt, HTMLDigiIconUserAltElement>('digi-icon-user-alt');
export const DigiIconUsersSolid = /*@__PURE__*/createReactComponent<JSX.DigiIconUsersSolid, HTMLDigiIconUsersSolidElement>('digi-icon-users-solid');
export const DigiIconValidationError = /*@__PURE__*/createReactComponent<JSX.DigiIconValidationError, HTMLDigiIconValidationErrorElement>('digi-icon-validation-error');
export const DigiIconValidationSuccess = /*@__PURE__*/createReactComponent<JSX.DigiIconValidationSuccess, HTMLDigiIconValidationSuccessElement>('digi-icon-validation-success');
export const DigiIconValidationWarning = /*@__PURE__*/createReactComponent<JSX.DigiIconValidationWarning, HTMLDigiIconValidationWarningElement>('digi-icon-validation-warning');
export const DigiIconVideocamera = /*@__PURE__*/createReactComponent<JSX.DigiIconVideocamera, HTMLDigiIconVideocameraElement>('digi-icon-videocamera');
export const DigiIconVideocameraOff = /*@__PURE__*/createReactComponent<JSX.DigiIconVideocameraOff, HTMLDigiIconVideocameraOffElement>('digi-icon-videocamera-off');
export const DigiIconVolume = /*@__PURE__*/createReactComponent<JSX.DigiIconVolume, HTMLDigiIconVolumeElement>('digi-icon-volume');
export const DigiIconWebTv = /*@__PURE__*/createReactComponent<JSX.DigiIconWebTv, HTMLDigiIconWebTvElement>('digi-icon-web-tv');
export const DigiIconWebinar = /*@__PURE__*/createReactComponent<JSX.DigiIconWebinar, HTMLDigiIconWebinarElement>('digi-icon-webinar');
export const DigiIconX = /*@__PURE__*/createReactComponent<JSX.DigiIconX, HTMLDigiIconXElement>('digi-icon-x');
export const DigiIconXButton = /*@__PURE__*/createReactComponent<JSX.DigiIconXButton, HTMLDigiIconXButtonElement>('digi-icon-x-button');
export const DigiIconXButtonOutline = /*@__PURE__*/createReactComponent<JSX.DigiIconXButtonOutline, HTMLDigiIconXButtonOutlineElement>('digi-icon-x-button-outline');
export const DigiIconYoutube = /*@__PURE__*/createReactComponent<JSX.DigiIconYoutube, HTMLDigiIconYoutubeElement>('digi-icon-youtube');
export const DigiInfoCard = /*@__PURE__*/createReactComponent<JSX.DigiInfoCard, HTMLDigiInfoCardElement>('digi-info-card');
export const DigiInfoCardMulti = /*@__PURE__*/createReactComponent<JSX.DigiInfoCardMulti, HTMLDigiInfoCardMultiElement>('digi-info-card-multi');
export const DigiInfoCardMultiContainer = /*@__PURE__*/createReactComponent<JSX.DigiInfoCardMultiContainer, HTMLDigiInfoCardMultiContainerElement>('digi-info-card-multi-container');
export const DigiLayoutBlock = /*@__PURE__*/createReactComponent<JSX.DigiLayoutBlock, HTMLDigiLayoutBlockElement>('digi-layout-block');
export const DigiLayoutColumns = /*@__PURE__*/createReactComponent<JSX.DigiLayoutColumns, HTMLDigiLayoutColumnsElement>('digi-layout-columns');
export const DigiLayoutContainer = /*@__PURE__*/createReactComponent<JSX.DigiLayoutContainer, HTMLDigiLayoutContainerElement>('digi-layout-container');
export const DigiLayoutMediaObject = /*@__PURE__*/createReactComponent<JSX.DigiLayoutMediaObject, HTMLDigiLayoutMediaObjectElement>('digi-layout-media-object');
export const DigiLink = /*@__PURE__*/createReactComponent<JSX.DigiLink, HTMLDigiLinkElement>('digi-link');
export const DigiLinkButton = /*@__PURE__*/createReactComponent<JSX.DigiLinkButton, HTMLDigiLinkButtonElement>('digi-link-button');
export const DigiLinkExternal = /*@__PURE__*/createReactComponent<JSX.DigiLinkExternal, HTMLDigiLinkExternalElement>('digi-link-external');
export const DigiLinkInternal = /*@__PURE__*/createReactComponent<JSX.DigiLinkInternal, HTMLDigiLinkInternalElement>('digi-link-internal');
export const DigiList = /*@__PURE__*/createReactComponent<JSX.DigiList, HTMLDigiListElement>('digi-list');
export const DigiLoaderSpinner = /*@__PURE__*/createReactComponent<JSX.DigiLoaderSpinner, HTMLDigiLoaderSpinnerElement>('digi-loader-spinner');
export const DigiLogo = /*@__PURE__*/createReactComponent<JSX.DigiLogo, HTMLDigiLogoElement>('digi-logo');
export const DigiMediaFigure = /*@__PURE__*/createReactComponent<JSX.DigiMediaFigure, HTMLDigiMediaFigureElement>('digi-media-figure');
export const DigiMediaImage = /*@__PURE__*/createReactComponent<JSX.DigiMediaImage, HTMLDigiMediaImageElement>('digi-media-image');
export const DigiNavigationBreadcrumbs = /*@__PURE__*/createReactComponent<JSX.DigiNavigationBreadcrumbs, HTMLDigiNavigationBreadcrumbsElement>('digi-navigation-breadcrumbs');
export const DigiNavigationContextMenu = /*@__PURE__*/createReactComponent<JSX.DigiNavigationContextMenu, HTMLDigiNavigationContextMenuElement>('digi-navigation-context-menu');
export const DigiNavigationContextMenuItem = /*@__PURE__*/createReactComponent<JSX.DigiNavigationContextMenuItem, HTMLDigiNavigationContextMenuItemElement>('digi-navigation-context-menu-item');
export const DigiNavigationPagination = /*@__PURE__*/createReactComponent<JSX.DigiNavigationPagination, HTMLDigiNavigationPaginationElement>('digi-navigation-pagination');
export const DigiNavigationSidebar = /*@__PURE__*/createReactComponent<JSX.DigiNavigationSidebar, HTMLDigiNavigationSidebarElement>('digi-navigation-sidebar');
export const DigiNavigationSidebarButton = /*@__PURE__*/createReactComponent<JSX.DigiNavigationSidebarButton, HTMLDigiNavigationSidebarButtonElement>('digi-navigation-sidebar-button');
export const DigiNavigationTab = /*@__PURE__*/createReactComponent<JSX.DigiNavigationTab, HTMLDigiNavigationTabElement>('digi-navigation-tab');
export const DigiNavigationTabs = /*@__PURE__*/createReactComponent<JSX.DigiNavigationTabs, HTMLDigiNavigationTabsElement>('digi-navigation-tabs');
export const DigiNavigationVerticalMenu = /*@__PURE__*/createReactComponent<JSX.DigiNavigationVerticalMenu, HTMLDigiNavigationVerticalMenuElement>('digi-navigation-vertical-menu');
export const DigiNavigationVerticalMenuItem = /*@__PURE__*/createReactComponent<JSX.DigiNavigationVerticalMenuItem, HTMLDigiNavigationVerticalMenuItemElement>('digi-navigation-vertical-menu-item');
export const DigiNotificationAlert = /*@__PURE__*/createReactComponent<JSX.DigiNotificationAlert, HTMLDigiNotificationAlertElement>('digi-notification-alert');
export const DigiNotificationErrorPage = /*@__PURE__*/createReactComponent<JSX.DigiNotificationErrorPage, HTMLDigiNotificationErrorPageElement>('digi-notification-error-page');
export const DigiProgressStep = /*@__PURE__*/createReactComponent<JSX.DigiProgressStep, HTMLDigiProgressStepElement>('digi-progress-step');
export const DigiProgressSteps = /*@__PURE__*/createReactComponent<JSX.DigiProgressSteps, HTMLDigiProgressStepsElement>('digi-progress-steps');
export const DigiProgressbar = /*@__PURE__*/createReactComponent<JSX.DigiProgressbar, HTMLDigiProgressbarElement>('digi-progressbar');
export const DigiQuoteMultiContainer = /*@__PURE__*/createReactComponent<JSX.DigiQuoteMultiContainer, HTMLDigiQuoteMultiContainerElement>('digi-quote-multi-container');
export const DigiQuoteSingle = /*@__PURE__*/createReactComponent<JSX.DigiQuoteSingle, HTMLDigiQuoteSingleElement>('digi-quote-single');
export const DigiTable = /*@__PURE__*/createReactComponent<JSX.DigiTable, HTMLDigiTableElement>('digi-table');
export const DigiTag = /*@__PURE__*/createReactComponent<JSX.DigiTag, HTMLDigiTagElement>('digi-tag');
export const DigiTagMedia = /*@__PURE__*/createReactComponent<JSX.DigiTagMedia, HTMLDigiTagMediaElement>('digi-tag-media');
export const DigiToolsFeedback = /*@__PURE__*/createReactComponent<JSX.DigiToolsFeedback, HTMLDigiToolsFeedbackElement>('digi-tools-feedback');
export const DigiToolsFeedbackBanner = /*@__PURE__*/createReactComponent<JSX.DigiToolsFeedbackBanner, HTMLDigiToolsFeedbackBannerElement>('digi-tools-feedback-banner');
export const DigiToolsLanguagepicker = /*@__PURE__*/createReactComponent<JSX.DigiToolsLanguagepicker, HTMLDigiToolsLanguagepickerElement>('digi-tools-languagepicker');
export const DigiTypography = /*@__PURE__*/createReactComponent<JSX.DigiTypography, HTMLDigiTypographyElement>('digi-typography');
export const DigiTypographyHeadingJumbo = /*@__PURE__*/createReactComponent<JSX.DigiTypographyHeadingJumbo, HTMLDigiTypographyHeadingJumboElement>('digi-typography-heading-jumbo');
export const DigiTypographyMeta = /*@__PURE__*/createReactComponent<JSX.DigiTypographyMeta, HTMLDigiTypographyMetaElement>('digi-typography-meta');
export const DigiTypographyPreamble = /*@__PURE__*/createReactComponent<JSX.DigiTypographyPreamble, HTMLDigiTypographyPreambleElement>('digi-typography-preamble');
export const DigiTypographyTime = /*@__PURE__*/createReactComponent<JSX.DigiTypographyTime, HTMLDigiTypographyTimeElement>('digi-typography-time');
export const DigiUtilBreakpointObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilBreakpointObserver, HTMLDigiUtilBreakpointObserverElement>('digi-util-breakpoint-observer');
export const DigiUtilDetectClickOutside = /*@__PURE__*/createReactComponent<JSX.DigiUtilDetectClickOutside, HTMLDigiUtilDetectClickOutsideElement>('digi-util-detect-click-outside');
export const DigiUtilDetectFocusOutside = /*@__PURE__*/createReactComponent<JSX.DigiUtilDetectFocusOutside, HTMLDigiUtilDetectFocusOutsideElement>('digi-util-detect-focus-outside');
export const DigiUtilIntersectionObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilIntersectionObserver, HTMLDigiUtilIntersectionObserverElement>('digi-util-intersection-observer');
export const DigiUtilKeydownHandler = /*@__PURE__*/createReactComponent<JSX.DigiUtilKeydownHandler, HTMLDigiUtilKeydownHandlerElement>('digi-util-keydown-handler');
export const DigiUtilKeyupHandler = /*@__PURE__*/createReactComponent<JSX.DigiUtilKeyupHandler, HTMLDigiUtilKeyupHandlerElement>('digi-util-keyup-handler');
export const DigiUtilMutationObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilMutationObserver, HTMLDigiUtilMutationObserverElement>('digi-util-mutation-observer');
export const DigiUtilResizeObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilResizeObserver, HTMLDigiUtilResizeObserverElement>('digi-util-resize-observer');
